Пришлось обновить, а то у меня совсем старая версия вордпресса.

В принципе мне это не мешало, но захотел поставить плагин с капчей, а они все требуют
новую версию вордпресса.

Обновлял в автоматическом режиме. Сделал как и положено:
бакап у меня был,
очистил кэш в плагине WP-Cache,
деактивировал все плагины,
запустил обновление,
активировал плагины.

Все прошло удачно.

Только выскочила такая ошибка:
Fatal error: Call to undefined function esc_url() in /././public_html/wp-admin/includes/update-core.php on line 698

На что это повлияет непонятно, вроде все нормально работает.

Ну и ладно, сохраню просто здесь это, чтобы если что знать где копать.